Index: trunk/sources/HeuristicLab.Algorithms.TS/3.3/TSMainLoop.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.TS/3.3/TSMainLoop.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Algorithms.TS/3.3/TSMainLoop.cs	(revision 3048)
@@ -39,15 +39,15 @@
       get { return (ValueLookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ValueLookupParameter<BoolData> MaximizationParameter {
-      get { return (ValueLookupParameter<BoolData>)Parameters["Maximization"]; }
-    }
-    public SubScopesLookupParameter<DoubleData> QualityParameter {
-      get { return (SubScopesLookupParameter<DoubleData>)Parameters["Quality"]; }
-    }
-    public ValueLookupParameter<IntData> MaximumIterationsParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["MaximumIterations"]; }
-    }
-    public ValueLookupParameter<IntData> TabuTenureParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["TabuTenure"]; }
+    public ValueLookupParameter<BoolValue> MaximizationParameter {
+      get { return (ValueLookupParameter<BoolValue>)Parameters["Maximization"]; }
+    }
+    public SubScopesLookupParameter<DoubleValue> QualityParameter {
+      get { return (SubScopesLookupParameter<DoubleValue>)Parameters["Quality"]; }
+    }
+    public ValueLookupParameter<IntValue> MaximumIterationsParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["MaximumIterations"]; }
+    }
+    public ValueLookupParameter<IntValue> TabuTenureParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["TabuTenure"]; }
     }
     public ValueLookupParameter<VariableCollection> ResultsParameter {
@@ -85,8 +85,8 @@
       #region Create parameters
       Parameters.Add(new ValueLookupParameter<IRandom>("Random", "A pseudo random number generator."));
-      Parameters.Add(new ValueLookupParameter<BoolData>("Maximization", "True if the problem is a maximization problem, otherwise false."));
-      Parameters.Add(new SubScopesLookupParameter<DoubleData>("Quality", "The value which represents the quality of a solution."));
-      Parameters.Add(new ValueLookupParameter<IntData>("MaximumIterations", "The maximum number of generations which should be processed."));
-      Parameters.Add(new ValueLookupParameter<IntData>("TabuTenure", "The length of the tabu list, and also means the number of iterations a move is kept tabu"));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("Maximization", "True if the problem is a maximization problem, otherwise false."));
+      Parameters.Add(new SubScopesLookupParameter<DoubleValue>("Quality", "The value which represents the quality of a solution."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("MaximumIterations", "The maximum number of generations which should be processed."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("TabuTenure", "The length of the tabu list, and also means the number of iterations a move is kept tabu"));
       Parameters.Add(new ValueLookupParameter<VariableCollection>("Results", "The variable collection where results should be stored."));
 
@@ -124,15 +124,15 @@
       EmptyOperator finished = new EmptyOperator();
 
-      variableCreator.CollectedValues.Add(new ValueParameter<IntData>("Iterations", new IntData(0)));
-      variableCreator.CollectedValues.Add(new ValueParameter<DoubleData>("Best Move Quality", new DoubleData(0)));
-      variableCreator.CollectedValues.Add(new ValueParameter<DoubleData>("Average Move Quality", new DoubleData(0)));
-      variableCreator.CollectedValues.Add(new ValueParameter<DoubleData>("Worst Move Quality", new DoubleData(0)));
+      variableCreator.CollectedValues.Add(new ValueParameter<IntValue>("Iterations", new IntValue(0)));
+      variableCreator.CollectedValues.Add(new ValueParameter<DoubleValue>("Best Move Quality", new DoubleValue(0)));
+      variableCreator.CollectedValues.Add(new ValueParameter<DoubleValue>("Average Move Quality", new DoubleValue(0)));
+      variableCreator.CollectedValues.Add(new ValueParameter<DoubleValue>("Worst Move Quality", new DoubleValue(0)));
       variableCreator.CollectedValues.Add(new ValueParameter<DataTable>("MoveQualities", new DataTable("MoveQualities")));
 
-      resultsCollector.CollectedValues.Add(new LookupParameter<IntData>("Iterations"));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Best Quality") { ActualName = "BestQuality" });
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Best Move Quality"));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Average Move Quality"));
-      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Worst Move Quality"));
+      resultsCollector.CollectedValues.Add(new LookupParameter<IntValue>("Iterations"));
+      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Best Quality") { ActualName = "BestQuality" });
+      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Best Move Quality"));
+      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Average Move Quality"));
+      resultsCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Worst Move Quality"));
       resultsCollector.CollectedValues.Add(new LookupParameter<DataTable>("MoveQualities"));
       resultsCollector.ResultsParameter.ActualName = "Results";
@@ -158,5 +158,5 @@
       bestAverageWorstMoveQualityCalculator.WorstQualityParameter.ActualName = "Worst Move Quality";
 
-      tabuSelector.NumberOfSelectedSubScopes = new IntData(1);
+      tabuSelector.NumberOfSelectedSubScopes = new IntValue(1);
 
       moveMakingProcessor.Name = "MoveMaking processor (UniformSequentialSubScopesProcessor)";
@@ -168,7 +168,7 @@
       moveMaker.OperatorParameter.ActualName = "MoveMaker";
 
-      valuesCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Best Move Quality"));
-      valuesCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Average Move Quality"));
-      valuesCollector.CollectedValues.Add(new LookupParameter<DoubleData>("Worst Move Quality"));
+      valuesCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Best Move Quality"));
+      valuesCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Average Move Quality"));
+      valuesCollector.CollectedValues.Add(new LookupParameter<DoubleValue>("Worst Move Quality"));
       valuesCollector.DataTableParameter.ActualName = "MoveQualities";
 
@@ -176,9 +176,9 @@
 
       iterationsCounter.Name = "Iterations Counter";
-      iterationsCounter.Increment = new IntData(1);
+      iterationsCounter.Increment = new IntValue(1);
       iterationsCounter.ValueParameter.ActualName = "Iterations";
 
       iterationsComparator.Name = "Iterations Comparator";
-      iterationsComparator.Comparison = new ComparisonData(Comparison.Less);
+      iterationsComparator.Comparison = new Comparison(ComparisonType.Less);
       iterationsComparator.LeftSideParameter.ActualName = "Iterations";
       iterationsComparator.RightSideParameter.ActualName = "MaximumIterations";
Index: trunk/sources/HeuristicLab.Algorithms.TS/3.3/TabuSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.TS/3.3/TabuSelector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Algorithms.TS/3.3/TabuSelector.cs	(revision 3048)
@@ -42,33 +42,33 @@
     /// The best found quality so far.
     /// </summary>
-    public LookupParameter<DoubleData> BestQualityParameter {
-      get { return (LookupParameter<DoubleData>)Parameters["BestQuality"]; }
+    public LookupParameter<DoubleValue> BestQualityParameter {
+      get { return (LookupParameter<DoubleValue>)Parameters["BestQuality"]; }
     }
     /// <summary>
     /// Whether to use the default aspiration criteria or not.
     /// </summary>
-    public ValueLookupParameter<BoolData> AspirationParameter {
-      get { return (ValueLookupParameter<BoolData>)Parameters["Aspiration"]; }
+    public ValueLookupParameter<BoolValue> AspirationParameter {
+      get { return (ValueLookupParameter<BoolValue>)Parameters["Aspiration"]; }
     }
     /// <summary>
     /// Whether the problem is a maximization problem or not.
     /// </summary>
-    public IValueLookupParameter<BoolData> MaximizationParameter {
-      get { return (IValueLookupParameter<BoolData>)Parameters["Maximization"]; }
+    public IValueLookupParameter<BoolValue> MaximizationParameter {
+      get { return (IValueLookupParameter<BoolValue>)Parameters["Maximization"]; }
     }
     /// <summary>
     /// The parameter for the move qualities.
     /// </summary>
-    public ILookupParameter<ItemArray<DoubleData>> MoveQualityParameter {
-      get { return (ILookupParameter<ItemArray<DoubleData>>)Parameters["MoveQuality"]; }
+    public ILookupParameter<ItemArray<DoubleValue>> MoveQualityParameter {
+      get { return (ILookupParameter<ItemArray<DoubleValue>>)Parameters["MoveQuality"]; }
     }
     /// <summary>
     /// The parameter for the tabu status of the moves.
     /// </summary>
-    public ILookupParameter<ItemArray<BoolData>> MoveTabuParameter {
-      get { return (ILookupParameter<ItemArray<BoolData>>)Parameters["MoveTabu"]; }
+    public ILookupParameter<ItemArray<BoolValue>> MoveTabuParameter {
+      get { return (ILookupParameter<ItemArray<BoolValue>>)Parameters["MoveTabu"]; }
     }
 
-    public IntData NumberOfSelectedSubScopes {
+    public IntValue NumberOfSelectedSubScopes {
       set { NumberOfSelectedSubScopesParameter.Value = value; }
     }
@@ -80,9 +80,9 @@
     public TabuSelector()
       : base() {
-      Parameters.Add(new LookupParameter<DoubleData>("BestQuality", "The best found quality so far."));
-      Parameters.Add(new ValueLookupParameter<BoolData>("Aspiration", "Whether the default aspiration criterion should be used or not. The default aspiration criterion accepts a tabu move if it results in a better solution than the best solution found so far.", new BoolData(true)));
-      Parameters.Add(new ValueLookupParameter<BoolData>("Maximization", "Whether the problem is a maximization or minimization problem (used to decide whether a solution is better"));
-      Parameters.Add(new SubScopesLookupParameter<DoubleData>("MoveQuality", "The quality of the move."));
-      Parameters.Add(new SubScopesLookupParameter<BoolData>("MoveTabu", "The tabu status of the move."));
+      Parameters.Add(new LookupParameter<DoubleValue>("BestQuality", "The best found quality so far."));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("Aspiration", "Whether the default aspiration criterion should be used or not. The default aspiration criterion accepts a tabu move if it results in a better solution than the best solution found so far.", new BoolValue(true)));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("Maximization", "Whether the problem is a maximization or minimization problem (used to decide whether a solution is better"));
+      Parameters.Add(new SubScopesLookupParameter<DoubleValue>("MoveQuality", "The quality of the move."));
+      Parameters.Add(new SubScopesLookupParameter<BoolValue>("MoveTabu", "The tabu status of the move."));
     }
 
@@ -99,6 +99,6 @@
       bool maximization = MaximizationParameter.ActualValue.Value;
       double bestQuality = BestQualityParameter.ActualValue.Value;
-      ItemArray<DoubleData> moveQualities = MoveQualityParameter.ActualValue;
-      ItemArray<BoolData> moveTabus = MoveTabuParameter.ActualValue;
+      ItemArray<DoubleValue> moveQualities = MoveQualityParameter.ActualValue;
+      ItemArray<BoolValue> moveTabus = MoveTabuParameter.ActualValue;
 
       IScope[] selected = new IScope[count];
Index: trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs	(revision 3048)
@@ -34,32 +34,32 @@
   [Creatable("Test")]
   public sealed class BestAverageWorstQualityCalculator : SingleSuccessorOperator {
-    public IValueLookupParameter<BoolData> MaximizationParameter {
-      get { return (IValueLookupParameter<BoolData>)Parameters["Maximization"]; }
+    public IValueLookupParameter<BoolValue> MaximizationParameter {
+      get { return (IValueLookupParameter<BoolValue>)Parameters["Maximization"]; }
     }
-    public ILookupParameter<ItemArray<DoubleData>> QualityParameter {
-      get { return (ILookupParameter<ItemArray<DoubleData>>)Parameters["Quality"]; }
+    public ILookupParameter<ItemArray<DoubleValue>> QualityParameter {
+      get { return (ILookupParameter<ItemArray<DoubleValue>>)Parameters["Quality"]; }
     }
-    public IValueLookupParameter<DoubleData> BestQualityParameter {
-      get { return (IValueLookupParameter<DoubleData>)Parameters["BestQuality"]; }
+    public IValueLookupParameter<DoubleValue> BestQualityParameter {
+      get { return (IValueLookupParameter<DoubleValue>)Parameters["BestQuality"]; }
     }
-    public IValueLookupParameter<DoubleData> AverageQualityParameter {
-      get { return (IValueLookupParameter<DoubleData>)Parameters["AverageQuality"]; }
+    public IValueLookupParameter<DoubleValue> AverageQualityParameter {
+      get { return (IValueLookupParameter<DoubleValue>)Parameters["AverageQuality"]; }
     }
-    public IValueLookupParameter<DoubleData> WorstQualityParameter {
-      get { return (IValueLookupParameter<DoubleData>)Parameters["WorstQuality"]; }
+    public IValueLookupParameter<DoubleValue> WorstQualityParameter {
+      get { return (IValueLookupParameter<DoubleValue>)Parameters["WorstQuality"]; }
     }
 
     public BestAverageWorstQualityCalculator()
       : base() {
-      Parameters.Add(new ValueLookupParameter<BoolData>("Maximization", "True if the current problem is a maximization problem, otherwise false."));
-      Parameters.Add(new SubScopesLookupParameter<DoubleData>("Quality", "The value contained in each sub-scope which represents the solution quality."));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("BestQuality", "The quality value of the best solution."));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("AverageQuality", "The average quality of all solutions."));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("WorstQuality", "The quality value of the worst solution."));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("Maximization", "True if the current problem is a maximization problem, otherwise false."));
+      Parameters.Add(new SubScopesLookupParameter<DoubleValue>("Quality", "The value contained in each sub-scope which represents the solution quality."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("BestQuality", "The quality value of the best solution."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("AverageQuality", "The average quality of all solutions."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("WorstQuality", "The quality value of the worst solution."));
     }
 
 
     public override IOperation Apply() {
-      ItemArray<DoubleData> qualities = QualityParameter.ActualValue;
+      ItemArray<DoubleValue> qualities = QualityParameter.ActualValue;
       bool maximization = MaximizationParameter.ActualValue.Value;
 
@@ -77,12 +77,12 @@
         }
 
-        DoubleData best = BestQualityParameter.ActualValue;
-        if (best == null) BestQualityParameter.ActualValue = new DoubleData(max);
+        DoubleValue best = BestQualityParameter.ActualValue;
+        if (best == null) BestQualityParameter.ActualValue = new DoubleValue(max);
         else best.Value = max;
-        DoubleData average = AverageQualityParameter.ActualValue;
-        if (average == null) AverageQualityParameter.ActualValue = new DoubleData(sum / qualities.Length);
+        DoubleValue average = AverageQualityParameter.ActualValue;
+        if (average == null) AverageQualityParameter.ActualValue = new DoubleValue(sum / qualities.Length);
         else average.Value = sum / qualities.Length;
-        DoubleData worst = WorstQualityParameter.ActualValue;
-        if (worst == null) WorstQualityParameter.ActualValue = new DoubleData(min);
+        DoubleValue worst = WorstQualityParameter.ActualValue;
+        if (worst == null) WorstQualityParameter.ActualValue = new DoubleValue(min);
         else worst.Value = min;
       }
Index: trunk/sources/HeuristicLab.Analysis/3.3/BestQualityMemorizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/BestQualityMemorizer.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Analysis/3.3/BestQualityMemorizer.cs	(revision 3048)
@@ -33,31 +33,31 @@
   [StorableClass]
   public class BestQualityMemorizer : SingleSuccessorOperator {
-    public IValueLookupParameter<BoolData> MaximizationParameter {
-      get { return (IValueLookupParameter<BoolData>)Parameters["Maximization"]; }
+    public IValueLookupParameter<BoolValue> MaximizationParameter {
+      get { return (IValueLookupParameter<BoolValue>)Parameters["Maximization"]; }
     }
-    public ILookupParameter<ItemArray<DoubleData>> QualityParameter {
-      get { return (ILookupParameter<ItemArray<DoubleData>>)Parameters["Quality"]; }
+    public ILookupParameter<ItemArray<DoubleValue>> QualityParameter {
+      get { return (ILookupParameter<ItemArray<DoubleValue>>)Parameters["Quality"]; }
     }
-    public IValueLookupParameter<DoubleData> BestQualityParameter {
-      get { return (IValueLookupParameter<DoubleData>)Parameters["BestQuality"]; }
+    public IValueLookupParameter<DoubleValue> BestQualityParameter {
+      get { return (IValueLookupParameter<DoubleValue>)Parameters["BestQuality"]; }
     }
 
     public BestQualityMemorizer()
       : base() {
-      Parameters.Add(new ValueLookupParameter<BoolData>("Maximization", "True if the current problem is a maximization problem, otherwise false."));
-      Parameters.Add(new SubScopesLookupParameter<DoubleData>("Quality", "The value contained in each sub-scope which represents the solution quality."));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("BestQuality", "The quality value of the best solution."));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("Maximization", "True if the current problem is a maximization problem, otherwise false."));
+      Parameters.Add(new SubScopesLookupParameter<DoubleValue>("Quality", "The value contained in each sub-scope which represents the solution quality."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("BestQuality", "The quality value of the best solution."));
     }
 
     public override IOperation Apply() {
-      ItemArray<DoubleData> qualities = QualityParameter.ActualValue;
+      ItemArray<DoubleValue> qualities = QualityParameter.ActualValue;
       bool maximization = MaximizationParameter.ActualValue.Value;
-      DoubleData best = BestQualityParameter.ActualValue;
+      DoubleValue best = BestQualityParameter.ActualValue;
       double max = (best != null) ? (best.Value) : ((maximization) ? (double.MinValue) : (double.MaxValue));
       
-      foreach (DoubleData quality in qualities)
+      foreach (DoubleValue quality in qualities)
         if (IsBetter(maximization, quality.Value, max)) max = quality.Value;
 
-      if (best == null) BestQualityParameter.ActualValue = new DoubleData(max);
+      if (best == null) BestQualityParameter.ActualValue = new DoubleValue(max);
       else best.Value = max;
       return base.Apply();
Index: trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs	(revision 3048)
@@ -52,5 +52,5 @@
 
       foreach (IParameter param in CollectedValues) {
-        DoubleData data = param.ActualValue as DoubleData;
+        DoubleValue data = param.ActualValue as DoubleValue;
         if (data == null) throw new InvalidOperationException("Only double data values can be collected by a DataTableValuesCollector.");
 
Index: trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.Designer.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.Designer.cs	(revision 3048)
@@ -21,5 +21,5 @@
 
 namespace HeuristicLab.Data.Views {
-  partial class BoolDataView {
+  partial class BoolValueView {
     /// <summary> 
     /// Required designer variable.
@@ -60,10 +60,10 @@
       this.valueCheckBox.CheckedChanged += new System.EventHandler(this.valueCheckBox_CheckedChanged);
       // 
-      // BoolDataView
+      // BoolValueView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.valueCheckBox);
-      this.Name = "BoolDataView";
+      this.Name = "BoolValueView";
       this.Size = new System.Drawing.Size(71, 27);
       this.ResumeLayout(false);
Index: trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs	(revision 3048)
@@ -26,17 +26,17 @@
 
 namespace HeuristicLab.Data.Views {
-  [View("BoolData View")]
-  [Content(typeof(BoolData), true)]
-  public partial class BoolDataView : ItemView {
-    public new BoolData Content {
-      get { return (BoolData)base.Content; }
+  [View("BoolValue View")]
+  [Content(typeof(BoolValue), true)]
+  public partial class BoolValueView : ItemView {
+    public new BoolValue Content {
+      get { return (BoolValue)base.Content; }
       set { base.Content = value; }
     }
 
-    public BoolDataView() {
+    public BoolValueView() {
       InitializeComponent();
-      Caption = "BoolData View";
+      Caption = "BoolValue View";
     }
-    public BoolDataView(BoolData content)
+    public BoolValueView(BoolValue content)
       : this() {
       Content = content;
@@ -56,5 +56,5 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "BoolData View";
+        Caption = "BoolValue View";
         valueCheckBox.Checked = false;
         valueCheckBox.Enabled = false;
Index: trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.Designer.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.Designer.cs	(revision 3048)
@@ -21,5 +21,5 @@
 
 namespace HeuristicLab.Data.Views {
-  partial class ComparisonDataView {
+  partial class ComparisonView {
     /// <summary> 
     /// Required designer variable.
@@ -71,5 +71,5 @@
       this.valueComboBox.SelectedIndexChanged += new System.EventHandler(this.valueComboBox_SelectedIndexChanged);
       // 
-      // ComparisonDataView
+      // ComparisonView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -77,5 +77,5 @@
       this.Controls.Add(this.valueComboBox);
       this.Controls.Add(this.valueLabel);
-      this.Name = "ComparisonDataView";
+      this.Name = "ComparisonView";
       this.Size = new System.Drawing.Size(265, 29);
       this.ResumeLayout(false);
Index: trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs	(revision 3048)
@@ -26,18 +26,18 @@
 
 namespace HeuristicLab.Data.Views {
-  [View("ComparisonData View")]
-  [Content(typeof(ComparisonData), true)]
-  public partial class ComparisonDataView : ItemView {
-    public new ComparisonData Content {
-      get { return (ComparisonData)base.Content; }
+  [View("Comparison View")]
+  [Content(typeof(Comparison), true)]
+  public partial class ComparisonView : ItemView {
+    public new Comparison Content {
+      get { return (Comparison)base.Content; }
       set { base.Content = value; }
     }
 
-    public ComparisonDataView() {
+    public ComparisonView() {
       InitializeComponent();
-      Caption = "ComparisonData View";
-      valueComboBox.DataSource = Enum.GetValues(typeof(Comparison));
+      Caption = "Comparison View";
+      valueComboBox.DataSource = Enum.GetValues(typeof(ComparisonType));
     }
-    public ComparisonDataView(ComparisonData content)
+    public ComparisonView(Comparison content)
       : this() {
       Content = content;
@@ -57,5 +57,5 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "ComparisonData View";
+        Caption = "Comparison View";
         valueComboBox.Enabled = false;
       } else {
@@ -74,5 +74,5 @@
 
     private void valueComboBox_SelectedIndexChanged(object sender, EventArgs e) {
-      if (Content != null) Content.Value = (Comparison)valueComboBox.SelectedItem;
+      if (Content != null) Content.Value = (ComparisonType)valueComboBox.SelectedItem;
     }
   }
Index: trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.Designer.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.Designer.cs	(revision 3048)
@@ -21,5 +21,5 @@
 
 namespace HeuristicLab.Data.Views {
-  partial class StringConvertibleArrayDataView {
+  partial class StringConvertibleArrayView {
     /// <summary> 
     /// Required designer variable.
@@ -98,5 +98,5 @@
       this.errorProvider.ContainerControl = this;
       // 
-      // StringConvertibleArrayDataView
+      // StringConvertibleArrayView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -105,5 +105,5 @@
       this.Controls.Add(this.lengthTextBox);
       this.Controls.Add(this.lengthLabel);
-      this.Name = "StringConvertibleArrayDataView";
+      this.Name = "StringConvertibleArrayView";
       this.Size = new System.Drawing.Size(424, 404);
       ((System.ComponentModel.ISupportInitialize)(this.dataGridView)).EndInit();
Index: trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs	(revision 3048)
@@ -29,19 +29,19 @@
 
 namespace HeuristicLab.Data.Views {
-  [View("StringConvertibleArrayData View")]
-  [Content(typeof(IStringConvertibleArrayData), true)]
-  public partial class StringConvertibleArrayDataView : ContentView {
-    public new IStringConvertibleArrayData Content {
-      get { return (IStringConvertibleArrayData)base.Content; }
+  [View("StringConvertibleArray View")]
+  [Content(typeof(IStringConvertibleArray), true)]
+  public partial class StringConvertibleArrayView : ContentView {
+    public new IStringConvertibleArray Content {
+      get { return (IStringConvertibleArray)base.Content; }
       set { base.Content = value; }
     }
 
-    public StringConvertibleArrayDataView() {
+    public StringConvertibleArrayView() {
       InitializeComponent();
-      Caption = "StringConvertibleArrayData View";
+      Caption = "StringConvertibleArray View";
       errorProvider.SetIconAlignment(lengthTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(lengthTextBox, 2);
     }
-    public StringConvertibleArrayDataView(IStringConvertibleArrayData content)
+    public StringConvertibleArrayView(IStringConvertibleArray content)
       : this() {
       Content = content;
@@ -64,5 +64,5 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "StringConvertibleArrayData View";
+        Caption = "StringConvertibleArray View";
         lengthTextBox.Text = "";
         lengthTextBox.Enabled = false;
@@ -71,5 +71,5 @@
         dataGridView.Enabled = false;
       } else {
-        Caption = "StringConvertibleArrayData (" + Content.GetType().Name + ")";
+        Caption = "StringConvertibleArray (" + Content.GetType().Name + ")";
         UpdateData();
       }
Index: trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.Designer.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.Designer.cs	(revision 3048)
@@ -21,5 +21,5 @@
 
 namespace HeuristicLab.Data.Views {
-  partial class StringConvertibleMatrixDataView {
+  partial class StringConvertibleMatrixView {
     /// <summary> 
     /// Required designer variable.
@@ -121,5 +121,5 @@
       this.columnsLabel.Text = "&Columns:";
       // 
-      // StringConvertibleMatrixDataView
+      // StringConvertibleMatrixView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -130,5 +130,5 @@
       this.Controls.Add(this.columnsLabel);
       this.Controls.Add(this.rowsLabel);
-      this.Name = "StringConvertibleMatrixDataView";
+      this.Name = "StringConvertibleMatrixView";
       this.Size = new System.Drawing.Size(424, 404);
       ((System.ComponentModel.ISupportInitialize)(this.dataGridView)).EndInit();
